- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# Picker Class Reference

This reference page is linked to from the following overview topics: Scene Graph, Picking, Writing Plug-ins.

Search for all occurrences

## Detailed Description

Picker objects are used as part of the map extraction process, to find points on one mesh that most closely correspond to points on another.

This is used for creating displacement maps, normal maps, color maps, etc.

If you need to control the algorithm by which points are picked from a vector, you can override this class in a plug-in, and replace Mudbox's version, which is in the plugin called "BTreePicker". To create your own:

1. Write a plug-in that defines your own class derived from Picker.

2. Delete the existing BTreePicker plugin, and copy yours into the plug-in folder.

On OSX, this plugin is found in the Mudbox module, under Contents>MacOS>plugins. On the PC, it is found in the work dir folder, under "plugins"

Definition at line 996 of file mesh.h.

`#include <mesh.h>`

Inheritance diagram for Picker:
[legend]

List of all members.

## Public Member Functions
virtual void | SetMesh (Mesh *m_pMesh)
virtual bool | Pick (const Vector &vLocalStart, const Vector &vLocalEnd, bool bBothSides, SurfacePoint &cResult, float fTarget=0.5f)

## Member Function Documentation

virtual void SetMesh | ( | Mesh * | m_pMesh | ) | `[virtual]`

Search for all occurrences

Parameters:

  [in] | m_pMesh | Specify the mesh from which SurfacePoints can be picked

virtual bool Pick | ( | const Vector & | vLocalStart,
|  | const Vector & | vLocalEnd,
|  | bool | bBothSides,
|  | SurfacePoint & | cResult,
|  | float | fTarget = `0.5f`
| ) |  | `[virtual]`

Search for all occurrences

Parameters:

  [in] | vLocalStart | Start point of the picking vector, in object space
  [in] | vLocalEnd | End point of the picking vector, in object space
  [in] | bBothSides | If true, allow the mesh to be picked from either side (front or back of faces)
  [out] | cResult | The calculated SurfacePoint
  [in] | fTarget | This value, ranging from 0 to 1, represents a position on the line between vLocalStart and vLocalEnd. If there are multiple selection points, the one closes to this value is returned.

The documentation for this class was generated from the following file:

- Mudbox/mesh.h

Picker Picker Picker Picker Picker Picker Picker Picker Picker Picker
Picker Picker Picker Picker Picker Picker Picker Picker Picker Picker